from django.conf import settings
from django.contrib import admin
from django.conf.urls.defaults import patterns, include, url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
import django_openid_auth.urls

import djcelery
djcelery.setup_loader()

admin.autodiscover()

urlpatterns = patterns('',
    url(r'^', include('revtracker.urls')),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^openid/', include(django_openid_auth.urls)),
    (r'^favicon\.ico$', 'django.views.generic.simple.redirect_to', {'url': '%s/favicon.ico' % settings.STATIC_URL}),
)

urlpatterns += staticfiles_urlpatterns()
